<?php
/*
*
* error.php
*
* @package th23_error_pages
* @author Thorsten Hartmann (www.th23.net)
* @copyright (c) 2008 by Thorsten Hartmann (www.th23.net)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

// setup
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

$user->session_begin();
$auth->acl($user->data);
$user->setup();
$template->assign_vars(array(
   'U_TH23_ERROR_PAGES_BASE' => generate_board_url() . '/',
));
// in case of an error page we don't need more
$err_code = request_var('e', 0);
switch ($err_code)
{
   case '300':
      $msg_title = $user->lang['TH23_ERROR_300_TITLE'];
      trigger_error('TH23_ERROR_300_MULTIPLE_CHOICES');
   break;
   case '400':
      $msg_title = $user->lang['TH23_ERROR_400_TITLE'];
      trigger_error('TH23_ERROR_400_BAD_REQUEST');
   break;
   case '401':
      $msg_title = $user->lang['TH23_ERROR_401_TITLE'];
      trigger_error('TH23_ERROR_401_UNAUTHORIZED');
   break;
   case '403':
      $msg_title = $user->lang['TH23_ERROR_403_TITLE'];
      trigger_error('TH23_ERROR_403_FORBIDDEN');
   break;
   case '404':
      $msg_title = $user->lang['TH23_ERROR_404_TITLE'];
      trigger_error('TH23_ERROR_404_NOT_FOUND');
   break;
   case '500':
      $msg_title = $user->lang['TH23_ERROR_500_TITLE'];
      trigger_error('TH23_ERROR_500_INT_SERVER');
   break;
   default:
      $msg_title = $user->lang['TH23_ERROR_UNKNOWN_TITLE'];
      trigger_error('TH23_ERROR_UNKNOWN');
   break;
}

?>